#ifndef DIJKSTRASEARCH_H
#define DIJKSTRASEARCH_H

#include "dijkstragraph.h"

struct dijkstra_state {
	dijkstra_cost cost;
	int visited;
};

struct dijkstra_search {
	struct dijkstra_state **states;
	unsigned int node_count;
};

struct dijkstra_search *dijkstra_search_new(struct dijkstra_solver *solver);
void dijkstra_search_free(struct dijkstra_search *search);

#endif // DIJKSTRASEARCH_H
